Get all resource reports
curl --request GET \
--url https://api.vantage.sh/v2/resource_reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/resource_reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/resource_reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/resource_reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/resource_reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/resource_reports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/resource_reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/resource_reports",
"first": "https://api.vantage.sh/v2/resource_reports?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/resource_reports?page=1",
"prev": null
},
"resource_reports": [
{
"token": "prvdr_rsrc_rprt_955ad21703b22099",
"title": "Resource Report 1274a351",
"filter": "(resources.provider = 'aws')",
"created_at": "2025-08-14T19:13:30Z",
"workspace_token": "wrkspc_490ea5f144c3896c",
"user_token": null,
"created_by_token": null,
"columns": [
"provider",
"label",
"accrued_costs",
"recommendation_savings",
"resource",
"type",
"region",
"account"
]
}
]
}ResourceReports
Get all resource reports
Return all ResourceReports.
GET
/
resource_reports
Get all resource reports
curl --request GET \
--url https://api.vantage.sh/v2/resource_reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/resource_reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/resource_reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/resource_reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/resource_reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/resource_reports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/resource_reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/resource_reports",
"first": "https://api.vantage.sh/v2/resource_reports?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/resource_reports?page=1",
"prev": null
},
"resource_reports": [
{
"token": "prvdr_rsrc_rprt_955ad21703b22099",
"title": "Resource Report 1274a351",
"filter": "(resources.provider = 'aws')",
"created_at": "2025-08-14T19:13:30Z",
"workspace_token": "wrkspc_490ea5f144c3896c",
"user_token": null,
"created_by_token": null,
"columns": [
"provider",
"label",
"accrued_costs",
"recommendation_savings",
"resource",
"type",
"region",
"account"
]
}
]
}